Source: rust-rav1e
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-arg-enum-proc-macro-0.3+default-dev,
 librust-arrayvec-0.7+default-dev,
 librust-av-metrics-0.9-dev,
 librust-av1-grain-0.2+default-dev,
 librust-av1-grain-0.2+serialize-dev,
 librust-bitstream-io-1+default-dev,
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+color-dev (>= 4.0.32-~~),
 librust-clap-4+derive-dev (>= 4.0.32-~~),
 librust-clap-4+std-dev (>= 4.0.32-~~),
 librust-clap-4+wrap-help-dev (>= 4.0.32-~~),
 librust-clap-complete-4+default-dev (>= 4.0.3-~~),
 librust-console-0.15+default-dev,
 librust-fern-0.6+default-dev,
 librust-itertools-0.10+default-dev,
 librust-ivf-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nasm-rs-0.2+default-dev,
 librust-nasm-rs-0.2+parallel-dev,
 librust-new-debug-unreachable-1+default-dev (>= 1.0.4-~~),
 librust-nom-7+default-dev,
 librust-noop-proc-macro-0.3+default-dev,
 librust-num-derive-0.3+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-once-cell-1+default-dev (>= 1.13.0-~~),
 librust-paste-1+default-dev,
 librust-rayon-1+default-dev,
 librust-rustc-version-0.4+default-dev,
 librust-scan-fmt-0.2-dev (>= 0.2.3-~~),
 librust-signal-hook-0.3+default-dev,
 librust-simd-helpers-0.1+default-dev,
 librust-system-deps-6+default-dev,
 librust-thiserror-1+default-dev,
 librust-v-frame-0.3+default-dev (>= 0.3.3-~~),
 librust-y4m-0.8+default-dev,
 cargo-c:native,
 librust-aom-sys-0.3-dev,
 librust-assert-cmd-2-dev,
 librust-dav1d-sys-0.7-dev,
 librust-interpolate-name-0.2-dev,
 librust-ivf-0.1-dev,
 librust-pretty-assertions-1-dev,
 librust-quickcheck-1-dev,
 librust-quickcheck-macros-1-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/rav1e]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/rav1e
X-Cargo-Crate: rav1e
Rules-Requires-Root: no

Package: librust-rav1e-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-aom-sys-0.3+default-dev (>= 0.3.2-~~),
 librust-arg-enum-proc-macro-0.3+default-dev,
 librust-arrayvec-0.7+default-dev,
 librust-av-metrics-0.9-dev,
 librust-av1-grain-0.2+default-dev,
 librust-av1-grain-0.2+serialize-dev,
 librust-bitstream-io-1+default-dev,
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+color-dev (>= 4.0.32-~~),
 librust-clap-4+derive-dev (>= 4.0.32-~~),
 librust-clap-4+std-dev (>= 4.0.32-~~),
 librust-clap-4+wrap-help-dev (>= 4.0.32-~~),
 librust-clap-complete-4+default-dev (>= 4.0.3-~~),
 librust-console-0.15+default-dev,
 librust-dav1d-sys-0.7+default-dev,
 librust-fern-0.6+default-dev,
 librust-itertools-0.10+default-dev,
 librust-ivf-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nasm-rs-0.2+default-dev,
 librust-nasm-rs-0.2+parallel-dev,
 librust-new-debug-unreachable-1+default-dev (>= 1.0.4-~~),
 librust-nom-7+default-dev,
 librust-noop-proc-macro-0.3+default-dev,
 librust-num-derive-0.3+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-once-cell-1+default-dev (>= 1.13.0-~~),
 librust-paste-1+default-dev,
 librust-rayon-1+default-dev,
 librust-rustc-version-0.4+default-dev,
 librust-scan-fmt-0.2-dev (>= 0.2.3-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-big-array-0.4+default-dev (>= 0.4.1-~~),
 librust-signal-hook-0.3+default-dev,
 librust-simd-helpers-0.1+default-dev,
 librust-system-deps-6+default-dev,
 librust-thiserror-1+default-dev,
 librust-toml-0.5+default-dev,
 librust-v-frame-0.3+default-dev (>= 0.3.3-~~),
 librust-v-frame-0.3+serialize-dev (>= 0.3.3-~~),
 librust-y4m-0.8+default-dev
Provides:
 librust-rav1e+aom-sys-dev (= ${binary:Version}),
 librust-rav1e+asm-dev (= ${binary:Version}),
 librust-rav1e+av-metrics-dev (= ${binary:Version}),
 librust-rav1e+bench-dev (= ${binary:Version}),
 librust-rav1e+binaries-dev (= ${binary:Version}),
 librust-rav1e+capi-dev (= ${binary:Version}),
 librust-rav1e+cc-dev (= ${binary:Version}),
 librust-rav1e+clap-dev (= ${binary:Version}),
 librust-rav1e+clap-complete-dev (= ${binary:Version}),
 librust-rav1e+console-dev (= ${binary:Version}),
 librust-rav1e+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e+decode-test-dev (= ${binary:Version}),
 librust-rav1e+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e+default-dev (= ${binary:Version}),
 librust-rav1e+fern-dev (= ${binary:Version}),
 librust-rav1e+ivf-dev (= ${binary:Version}),
 librust-rav1e+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e+nom-dev (= ${binary:Version}),
 librust-rav1e+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e+scenechange-dev (= ${binary:Version}),
 librust-rav1e+serde-dev (= ${binary:Version}),
 librust-rav1e+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e+serialize-dev (= ${binary:Version}),
 librust-rav1e+signal-hook-dev (= ${binary:Version}),
 librust-rav1e+signal-support-dev (= ${binary:Version}),
 librust-rav1e+threading-dev (= ${binary:Version}),
 librust-rav1e+toml-dev (= ${binary:Version}),
 librust-rav1e+y4m-dev (= ${binary:Version}),
 librust-rav1e-0-dev (= ${binary:Version}),
 librust-rav1e-0+aom-sys-dev (= ${binary:Version}),
 librust-rav1e-0+asm-dev (= ${binary:Version}),
 librust-rav1e-0+av-metrics-dev (= ${binary:Version}),
 librust-rav1e-0+bench-dev (= ${binary:Version}),
 librust-rav1e-0+binaries-dev (= ${binary:Version}),
 librust-rav1e-0+capi-dev (= ${binary:Version}),
 librust-rav1e-0+cc-dev (= ${binary:Version}),
 librust-rav1e-0+clap-dev (= ${binary:Version}),
 librust-rav1e-0+clap-complete-dev (= ${binary:Version}),
 librust-rav1e-0+console-dev (= ${binary:Version}),
 librust-rav1e-0+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e-0+decode-test-dev (= ${binary:Version}),
 librust-rav1e-0+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e-0+default-dev (= ${binary:Version}),
 librust-rav1e-0+fern-dev (= ${binary:Version}),
 librust-rav1e-0+ivf-dev (= ${binary:Version}),
 librust-rav1e-0+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e-0+nom-dev (= ${binary:Version}),
 librust-rav1e-0+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e-0+scenechange-dev (= ${binary:Version}),
 librust-rav1e-0+serde-dev (= ${binary:Version}),
 librust-rav1e-0+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e-0+serialize-dev (= ${binary:Version}),
 librust-rav1e-0+signal-hook-dev (= ${binary:Version}),
 librust-rav1e-0+signal-support-dev (= ${binary:Version}),
 librust-rav1e-0+threading-dev (= ${binary:Version}),
 librust-rav1e-0+toml-dev (= ${binary:Version}),
 librust-rav1e-0+y4m-dev (= ${binary:Version}),
 librust-rav1e-0.6-dev (= ${binary:Version}),
 librust-rav1e-0.6+aom-sys-dev (= ${binary:Version}),
 librust-rav1e-0.6+asm-dev (= ${binary:Version}),
 librust-rav1e-0.6+av-metrics-dev (= ${binary:Version}),
 librust-rav1e-0.6+bench-dev (= ${binary:Version}),
 librust-rav1e-0.6+binaries-dev (= ${binary:Version}),
 librust-rav1e-0.6+capi-dev (= ${binary:Version}),
 librust-rav1e-0.6+cc-dev (= ${binary:Version}),
 librust-rav1e-0.6+clap-dev (= ${binary:Version}),
 librust-rav1e-0.6+clap-complete-dev (= ${binary:Version}),
 librust-rav1e-0.6+console-dev (= ${binary:Version}),
 librust-rav1e-0.6+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e-0.6+decode-test-dev (= ${binary:Version}),
 librust-rav1e-0.6+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e-0.6+default-dev (= ${binary:Version}),
 librust-rav1e-0.6+fern-dev (= ${binary:Version}),
 librust-rav1e-0.6+ivf-dev (= ${binary:Version}),
 librust-rav1e-0.6+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e-0.6+nom-dev (= ${binary:Version}),
 librust-rav1e-0.6+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e-0.6+scenechange-dev (= ${binary:Version}),
 librust-rav1e-0.6+serde-dev (= ${binary:Version}),
 librust-rav1e-0.6+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e-0.6+serialize-dev (= ${binary:Version}),
 librust-rav1e-0.6+signal-hook-dev (= ${binary:Version}),
 librust-rav1e-0.6+signal-support-dev (= ${binary:Version}),
 librust-rav1e-0.6+threading-dev (= ${binary:Version}),
 librust-rav1e-0.6+toml-dev (= ${binary:Version}),
 librust-rav1e-0.6+y4m-dev (= ${binary:Version}),
 librust-rav1e-0.6.6-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+aom-sys-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+asm-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+av-metrics-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+bench-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+binaries-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+capi-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+cc-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+clap-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+clap-complete-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+console-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+decode-test-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+default-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+fern-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+ivf-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+nom-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+scenechange-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+serde-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+serialize-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+signal-hook-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+signal-support-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+threading-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+toml-dev (= ${binary:Version}),
 librust-rav1e-0.6.6+y4m-dev (= ${binary:Version})
Description: Fastest and safest AV1 encoder - Rust source code
 This package contains the source for the Rust rav1e crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: rav1e
Architecture: any
Multi-Arch: allowed
Section: video
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Fastest and safest AV1 encoder
 rav1e is a commendline encoder for the AV1 video codec. It supports the
 following features:
  * Intra, inter, and switch frames
  * 64x64 superblocks
  * 4x4 to 64x64 RDO-selected square and rectangular blocks
  * DC, H, V, Paeth, smooth, and all directional prediction modes
  * DCT, (FLIP-)ADST and identity transforms (up to 64x64, 16x16 and 32x32
 respectively)
  * 8-, 10- and 12-bit depth color
  * 4:2:0, 4:2:2 and 4:4:4 chroma sampling
  * 11 speed settings (0-10, exhaustive to near real-time)
  * Constant quantizer and target bitrate (single- and multi-pass) encoding
 modes
  * Still picture mode
 .
 This package contains the command line encoder.
